ValueAggregatorBaseDescriptor (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred.lib.aggregate, class: ValueAggregatorBaseDescriptor

Package org.apache.hadoop.mapred.lib.aggregate

# Class ValueAggregatorBaseDescriptor

java.lang.Object
org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregatorBaseDescriptor
org.apache.hadoop.mapred.lib.aggregate.ValueAggregatorBaseDescriptor

All Implemented Interfaces:
  `ValueAggregatorDescriptor`, `ValueAggregatorDescriptor`

@Public @Stable public class ValueAggregatorBaseDescriptor extends ValueAggregatorBaseDescriptor implements ValueAggregatorDescriptor
This class implements the common functionalities of the subclasses of ValueAggregatorDescriptor class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DOUBLE_VALUE_SUM`
  `static final String`
  `LONG_VALUE_MAX`
  `static final String`
  `LONG_VALUE_MIN`
  `static final String`
  `LONG_VALUE_SUM`
  `static final String`
  `STRING_VALUE_MAX`
  `static final String`
  `STRING_VALUE_MIN`
  `static final String`
  `UNIQ_VALUE_COUNT`
  `static final String`
  `VALUE_HISTOGRAM`

  ### Fields inherited from class org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregatorBaseDescriptor

  `inputFile`

  ### Fields inherited from interface org.apache.hadoop.mapred.lib.aggregate.ValueAggregatorDescriptor

  `ONE, TYPE_SEPARATOR`

  ### Fields inherited from interface org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregatorDescriptor

  `ONE, TYPE_SEPARATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueAggregatorBaseDescriptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `configure(JobConf job)`
  get the input file name.
  `static Map.Entry<Text,Text>`
  `generateEntry(String type, String id, Text val)`
  `static ValueAggregator`
  `generateValueAggregator(String type)`

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregatorBaseDescriptor

  `configure, generateKeyValPairs, generateValueAggregator`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregatorDescriptor

  `configure, generateKeyValPairs`

- ## Field Details

  - ### UNIQ_VALUE_COUNT

    public static final String UNIQ_VALUE_COUNT
    See Also:
      - Constant Field Values

  - ### LONG_VALUE_SUM

    public static final String LONG_VALUE_SUM
    See Also:
      - Constant Field Values

  - ### DOUBLE_VALUE_SUM

    public static final String DOUBLE_VALUE_SUM
    See Also:
      - Constant Field Values

  - ### VALUE_HISTOGRAM

    public static final String VALUE_HISTOGRAM
    See Also:
      - Constant Field Values

  - ### LONG_VALUE_MAX

    public static final String LONG_VALUE_MAX
    See Also:
      - Constant Field Values

  - ### LONG_VALUE_MIN

    public static final String LONG_VALUE_MIN
    See Also:
      - Constant Field Values

  - ### STRING_VALUE_MAX

    public static final String STRING_VALUE_MAX
    See Also:
      - Constant Field Values

  - ### STRING_VALUE_MIN

    public static final String STRING_VALUE_MIN
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ValueAggregatorBaseDescriptor

    public ValueAggregatorBaseDescriptor()

- ## Method Details

  - ### generateEntry

    public static Map.Entry<Text,Text> generateEntry(String type, String id, Text val)
    Parameters:
      `type` - the aggregation type
      `id` - the aggregation id
      `val` - the val associated with the id to be aggregated
    Returns:
      an Entry whose key is the aggregation id prefixed with the aggregation type.

  - ### generateValueAggregator

    public static ValueAggregator generateValueAggregator(String type)
    Parameters:
      `type` - the aggregation type
    Returns:
      a value aggregator of the given type.

  - ### configure

    public void configure(JobConf job)
    get the input file name.
    Specified by:
      `configure` in interface `ValueAggregatorDescriptor`
    Parameters:
      `job` - a job configuration object